> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get compliance report details

> Retrieve the details for a specific compliance report.



## OpenAPI

````yaml compliance_report.openapi get /v1/retailers/{retailer_id}/compliance-reports/{id}/
openapi: 3.0.0
info:
  title: Compliance Reports API
  version: 1.0.0
  description: |
    Endpoints to retrieve retailer compliance reports.
servers:
  - url: https://marketplace-api.fabric.inc
    description: Production server
security:
  - Bearer: []
tags:
  - name: Compliance Reports
    description: Compliance report retrieval
paths:
  /v1/retailers/{retailer_id}/compliance-reports/{id}/:
    get:
      tags:
        - Compliance Reports
      summary: Get compliance report details
      description: Retrieve the details for a specific compliance report.
      parameters:
        - name: retailer_id
          in: path
          required: true
          description: >-
            The unique retailer ID. In the Dropship UI this is called the
            **Merchant ID**. To find your Merchant ID, click your merchant name
            in the top nav.
          schema:
            type: integer
            example: 1001
        - name: id
          in: path
          required: true
          description: >-
            The unique identifier of the compliance report. This ID is generated
            when a compliance report is made and can be found in Dropship UI
            **Compliance Reporting** page under **Reports**.
          schema:
            type: integer
            example: 3003
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ComplianceReport'
components:
  schemas:
    ComplianceReport:
      type: object
      required:
        - name
        - start
      properties:
        id:
          description: Unique identifier for the compliance report
          example: 12345
          type: integer
          readOnly: true
        name:
          description: The name of the compliance report
          example: Quarterly Financial Compliance
          type: string
          maxLength: 128
          minLength: 1
        description:
          description: A detailed description of the compliance report
          example: This report outlines the financial compliance for Q1 2024.
          type: string
          maxLength: 256
          nullable: true
        interval:
          description: >-
            The interval at which the compliance report is generated, such as
            monthly or quarterly.
          example: quarterly
          type: string
          maxLength: 8
          minLength: 1
        start:
          description: The start date and time of the compliance report in UTC format.
          example: '2024-01-01T00:00:00Z'
          type: string
          format: date-time
        periods:
          description: Periods for which the compliance report is applicable.
          example: Q1, Q2
          type: string
          readOnly: true
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````